package domain

type AlibabaHmMarketingFullrangeRemoveitemMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *string `json:"data,omitempty" `

	/*
	   errorCode     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeRemoveitemMarketResult) SetMessage(v string) *AlibabaHmMarketingFullrangeRemoveitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeRemoveitemMarketResult) SetData(v string) *AlibabaHmMarketingFullrangeRemoveitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeRemoveitemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingFullrangeRemoveitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeRemoveitemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingFullrangeRemoveitemMarketResult {
	s.Success = &v
	return s
}
